org.eclipse.microprofile.lra.tck.service

## Enum LRAMetricType

- java.lang.Object
- - java.lang.Enum<LRAMetricType>
  - - org.eclipse.microprofile.lra.tck.service.LRAMetricType

All Implemented Interfaces:
  Serializable, Comparable<LRAMetricType>

    public enum LRAMetricType
    extends Enum<LRAMetricType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AfterLRA`
`Cancelled`
`Closed`
`Compensated`
`Completed`
`FailedToCancel`
`FailedToClose`
`Forget`
`Nested`
`Status`

### Method Summary

All Methods Static Methods Concrete Methods
`static LRAMetricType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LRAMetricType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Closed

    public static final LRAMetricType Closed

#### FailedToClose

    public static final LRAMetricType FailedToClose

#### Cancelled

    public static final LRAMetricType Cancelled

#### FailedToCancel

    public static final LRAMetricType FailedToCancel

#### Compensated

    public static final LRAMetricType Compensated

#### Completed

    public static final LRAMetricType Completed

#### Status

    public static final LRAMetricType Status

#### Forget

    public static final LRAMetricType Forget

#### Nested

    public static final LRAMetricType Nested

#### AfterLRA

    public static final LRAMetricType AfterLRA

### Method Detail

#### values

    public static LRAMetricType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LRAMetricType c : LRAMetricType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LRAMetricType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null